> For the complete documentation index, see [llms.txt](https://developers.doku.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.doku.com/payout/kirim-doku/balance-inquiry.md).

# Balance Inquiry

### Balance Inquiry

## POST /snap/v1.1/balance-inquiry

>

```json
{"openapi":"3.0.0","info":{"title":"KIRIMDOKU Snap - rem-kirimdoku-snap","version":"1.0.0"},"tags":[{"name":"BALANCE INQUIRY","description":"KIRIMDOKU Balance Inquiry"}],"servers":[{"description":"KIRIMDOKU Sandbox","url":"https://api-sandbox.doku.com"},{"description":"KIRIMDOKU Production","url":"https://api.doku.com"}],"paths":{"/snap/v1.1/balance-inquiry":{"post":{"operationId":"balanceInquiry11","tags":["BALANCE INQUIRY"],"parameters":[{"$ref":"#/components/parameters/xExternalId"},{"$ref":"#/components/parameters/xPartnerId"},{"$ref":"#/components/parameters/xSignature"},{"$ref":"#/components/parameters/xTimeStamp"},{"$ref":"#/components/parameters/channelIdHeader"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/postBalanceInquiryRequest"}}}},"responses":{"200":{"description":"Transfer bank processed","content":{"application/json":{"schema":{"$ref":"#/components/schemas/postBalanceInquiryResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SnapBalanceFailedResponse"}}}}}}}},"components":{"parameters":{"xExternalId":{"name":"X-EXTERNAL-ID","in":"header","description":"Numeric String. Reference number that should be unique in the same day (Request Id)","required":true,"schema":{"type":"string"}},"xPartnerId":{"name":"X-PARTNER-ID","in":"header","description":"Client Id for merchant that generated by DOKU","required":true,"schema":{"type":"string"}},"xSignature":{"name":"X-SIGNATURE","in":"header","description":"Symmetric Signature with Get Token (Default)HMAC_SHA512 (clientSecret, stringToSign) dengan formula stringToSign = HTTPMethod +”:“+ EndpointUrl +\":\"+ AccessToken +\":“+ Lowercase(HexEncode(SHA-256(minify(RequestBody))))+ \":“ + TimeStamp","required":true,"schema":{"type":"string"}},"xTimeStamp":{"name":"X-TIMESTAMP","in":"header","description":"Client's current local time with format YYYY-MM-DDTHH:mm:ssZD","required":true,"schema":{"type":"string"}},"channelIdHeader":{"name":"CHANNEL-ID","in":"header","description":"refers to a unique identifier for the channel or method used to initiate a payment transaction","required":true,"schema":{"type":"string"}}},"schemas":{"postBalanceInquiryRequest":{"type":"object","required":["accountNo"],"properties":{"partnerReferenceNo":{"type":"string","description":"Transaction identifier on service consumer system, generated by partner.","maxLength":64},"accountNo":{"type":"string","maxLength":16}}},"postBalanceInquiryResponse":{"type":"object","properties":{"responseCode":{"type":"string"},"responseMessage":{"type":"string"},"accountNo":{"type":"string"},"name":{"type":"string"},"accountInfos":{"type":"object","properties":{"holdAmount":{"$ref":"#/components/schemas/holdAmountDTO"},"avaliableBalance":{"$ref":"#/components/schemas/avalableBalanceDTO"}}},"additionalInfo":{"$ref":"#/components/schemas/BalanceAdditionalInfoResDTO"}}},"holdAmountDTO":{"type":"object","properties":{"value":{"type":"string"},"currency":{"type":"string"}}},"avalableBalanceDTO":{"type":"object","properties":{"value":{"type":"string"},"currency":{"type":"string"}}},"BalanceAdditionalInfoResDTO":{"type":"object","properties":{"creditAlertLimit":{"description":"To give email alerts to partners when available balance reaches or below this amount. If it's IDR then the value includes 2 decimal digits. E.g. IDR 10.000,- will be placed with 10000.00","$ref":"#/components/schemas/amountDTO"}}},"amountDTO":{"type":"object","properties":{"value":{"type":"string"},"currency":{"type":"string"}}},"SnapBalanceFailedResponse":{"type":"object","required":["responseCode","responseMessage"],"properties":{"responseCode":{"type":"string","description":"Response Code with format HTTP status code + service code + case code. | min length: 1 | max length: 7"},"responseMessage":{"type":"string","description":"Failed. | min length: 1 | max length: 150"}}}}}}
```
